OpenVDB: MeanCurvature< UniformScaleTranslateMap, DiffScheme2, DiffScheme1 > Struct Template Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MeanCurvature< UniformScaleTranslateMap, DiffScheme2, DiffScheme1 > Struct Template Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor>
static Accessor::ValueType | result (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | normGrad (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static StencilT::ValueType | result (const UniformScaleTranslateMap &map, const StencilT &stencil)
template<typename StencilT>
static StencilT::ValueType | normGrad (const UniformScaleTranslateMap &map, const StencilT &stencil)
static bool | compute (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk, double &alpha, double &beta)
| Random access version.
static bool | compute (const UniformScaleTranslateMap &map, const StencilT &stencil, double &alpha, double &beta)
| Stencil access version.
static Accessor::ValueType | result (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
static StencilT::ValueType | result (const UniformScaleTranslateMap &map, const StencilT stencil)
static Accessor::ValueType | normGrad (const UniformScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
static StencilT::ValueType | normGrad (const UniformScaleTranslateMap &map, const StencilT stencil)

## Member Function Documentation

## ◆ compute() [1/2]

static bool compute | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk,
|  | double & | alpha,
|  | double & | beta )
| inlinestatic

Random access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## ◆ compute() [2/2]

static bool compute | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT & | stencil,
|  | double & | alpha,
|  | double & | beta )
| inlinestatic

Stencil access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## ◆ normGrad() [1/4]

static Accessor::ValueType normGrad | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ normGrad() [2/4]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor>

static Accessor::ValueType normGrad | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ normGrad() [3/4]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT>

static StencilT::ValueType normGrad | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT & | stencil )
| inlinestatic

## ◆ normGrad() [4/4]

static StencilT::ValueType normGrad | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT | stencil )
| inlinestatic

## ◆ result() [1/4]

static Accessor::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ result() [2/4]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor>

static Accessor::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ result() [3/4]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT>

static StencilT::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT & | stencil )
| inlinestatic

## ◆ result() [4/4]

static StencilT::ValueType result | ( | const UniformScaleTranslateMap & | map,
|  | const StencilT | stencil )
| inlinestatic